@import "abstracts/abstracts";

:host {
  .search-wrapper {
    display: grid;
    grid-template-columns: 1fr max-content;
    grid-gap: 10px;
    align-items: center;
    padding-bottom: 20px;

    .search-bar {
      &::ng-deep {
        .mat-form-field-wrapper {
          padding-bottom: 0;
        }
      }
    }
  }

  .selected-archive {
    .label {
      display: block;
      margin-bottom: 10px;
    }

    .no-selection {
      color: $light-grey;
      font-size: 13px;
    }
  }

  .no-result-container {
    min-height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;

    .text-icon {
      display: flex;
      flex-direction: column;
      align-items: center;

      .icon {
        color: $light-grey;
      }

      .text {
        padding-top: 20px;
        font-size: 16px;
        color: $light-grey;
        font-weight: bold;
      }
    }
  }
}
